#
# spec file for package hoard
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hoard
Version:        v.1.4.2~0
Release:        2.2
Summary:        CLI command organizer
License:        Apache-2.0 AND BSD-3-Clause AND GPL-2.0-only AND ISC AND MIT AND OpenSSL AND BSD-4-Clause AND CC-BY-3.0 AND CC-BY-SA-4.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND MPL-2.0 AND Zlib AND CC0-1.0
Group:          Productivity/File utilities
URL:            https://hyde46.github.io/hoard/
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  libopenssl-devel

%description
Command organizer tool to hoard all your precious commands.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Tue Sep 19 2023 Lubos Kocman <lubos.kocman@suse.com>
- Correction of license based on legaldb report
* Sun Aug  6 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.4.2:
  * Fix lifetime longevity issue with theming password prompts. #279
* Sun Aug  6 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.4.1:
  * List available namespaces when creating a new command
  * Move from tui to ratatui
  * Fix a bunch of pipelines issues
* Mon Jul 31 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.4.0:
  * Add chatGPT integration
  * cleanup code and make clippy happy
* Mon Jul 31 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.3.3:
  * Make clippy happy
  * Clean up some code
* Tue Jul 25 2023 Michael Vetter <mvetter@suse.com>
- bsc#1210354 (CVE-2023-26964) Update to 1.3.2:
  * Fix sec vulnerabilities from out of date dependency #279
* Sat Feb 11 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.3.1:
  * Fix bug, where hoard pick would not properly replace named
    parameterized commands
  * Tab highlight now also uses customizable color from config file
  * Added update checker on startup, to notify the user about a
    new version
* Wed Dec 21 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.3.0:
  * Inline command editing in the GUI. Press to get started.
    Only editing the command, its description and the tags are
    supported for now
  * Inline command deletion in the GUI. Press to delete a command
    in the GUI view
  * Inline command creation in the GUI. Press to create a new
    command in the GUI view
* Wed Dec  7 2022 Michael Vetter <mvetter@suse.com>
- Initial package of hoard 1.2.0 for openSUSE
